Skip to main content
GET
/
api
/
v1
/
notifications
/
channels
List Channels
curl --request GET \
  --url https://platform.unstructuredapp.io/api/v1/notifications/channels
{
  "items": [
    {
      "id": "<string>",
      "event_types": [
        "<string>"
      ],
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "channel_type": "webhook",
      "description": "<string>"
    }
  ]
}

Headers

unstructured-api-key
string | null

Query Parameters

channel_type
enum<string>
required

Notification delivery channel types.

Available options:
webhook,
email
enabled
boolean | null

Response

Successful Response

List response for notification channels (no pagination, max 50 per scope).

items
(WebhookChannelResponse · object | EmailChannelResponse · object)[]
required

List of channels

Response for webhook notification channel.